package kr.co.zumo.app.lifeplus.activity;

import android.graphics.Color;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.view.fragment.setting.SettingExpandableListViewAdapter;
import kr.co.zumo.app.lifeplus.view.fragment.setting.SettingExpandableListViewDecoration;

/**
 * SettingActivity
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-10-10]   [최초 작성]
 * @since 2018-10-10
 */
public class SettingActivity extends AppCompatActivity {

  private RecyclerView settingRecyclerView;

  @Override
  protected void onCreate(@Nullable Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_setting);
    settingRecyclerView = (RecyclerView) findViewById(R.id.recycler_view_setting);
    SettingExpandableListViewAdapter adapter = new SettingExpandableListViewAdapter(this);
    settingRecyclerView.setLayoutManager(new LinearLayoutManager(getApplicationContext(), LinearLayoutManager.VERTICAL, false));
    SettingExpandableListViewDecoration decoration = new SettingExpandableListViewDecoration(this, Color.parseColor("#ebebeb"), 1);
    settingRecyclerView.addItemDecoration(decoration);
    settingRecyclerView.setAdapter(adapter);
  }

}